//
//      
// 

//  
#include <stdlib.h>
#include "array.h"


//          
//       
//
double * ReadArrayNum(FILE *f, int size)    
{
    int i;    
    double x;    //    
    double *a;   //   

    //     !
    if (!f) {
       return 0;
    }

    //  
    a = (double*)malloc(size*sizeof(double));
    if (!a) {   //   
        return 0;
    }

    //  
    for (i=0; i<size && fscanf(f,"%lf", &a[i])==1; i++);

    //     size!
    if (i < size) {
       free(a);       //  
       return 0;
    }

    return a;
}

//           
// 
double * GenerateArray(int size)
{
    int i;
    double *a;
    a = (double*)malloc(size*sizeof(double));
    if (!a) {
        return 0;
    }
    for (i = 0; i < size; i++) {
        a[i] = (double)(rand()%1000); // ,   0  999
    }
	return a;
}

//       
//
void PrintArray(FILE *f, double *a, int size, const char *text)
{
    int i; 
    int rowN = 5;
    if (text) { fprintf(f, "%s", text); } 
	for (i = 0; i < size; i++) {
		fprintf(f,"%s%15.10f", (i%rowN == 0) ? "\n":"  ", a[i]);
    }
    fprintf(f, "\n");
}


